Сайт | Скачать | Видео | Wiki

Автор Тема: Медиаплееры  (Прочитано 58098 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Roader

  • Ветеран
  • *****
  • Сообщений: 564
  • Репутация: +20/-0
Re:Медиаплееры
« Ответ #180 : 18 Апрель 2015, 20:42:48 »
В Pra64 (test3) - без вопросов...

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 32840
  • Репутация: +222/-0
  • Автор темы
    • PuppyRus-A
Re:Медиаплееры
« Ответ #181 : 18 Апрель 2015, 21:21:09 »
Вывод ясен - в vlc не надо ничего вырезать.
Ок. Переделаю

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 32840
  • Репутация: +222/-0
  • Автор темы
    • PuppyRus-A
Re:Медиаплееры
« Ответ #182 : 06 Октябрь 2015, 11:21:44 »
sfs, не обновишь ли пакеты до mplayer-1.2 и mpv-0.11? Больше нужен mplayer.
А юзает ли кто? Если надо полный фарш - лучше vlc не найти. Он свежий на ffmpeg 2.8. Если надо мало - маленький старенький mplayer из middle- то что надо. Надо ли что-то среднее...
1.2. пока даже в арчрепу не скомпилили.
Не сейчас. Много багфикса своих скриптов, надо nosystemd и питание доделывать

vlc не люблю, тем более не вижу смысла из-за него qt в озу загонять. Будем подождать, тот вариант где gui (gmplayer) есть или mpv (если легче собрать).
А чем не устраивает старый gmplayer из middle?
gui (gmplayer) - у меня ни разу не получилось собрать и он , на мой взгляд, очень неудобный
Если я правильно понял новость - mplayer теперь не собрать с внешними ffmpeg либами. На мой взгляд так актуально делать только если делать мини версию. Меньше той что есть у меня тоже не получалось

Вот свежий mpv.  Под внешний ffmpeg. Вроде там у меня lua-gui не получился - поэтому модуль делать не стал
http://www.puppyrus.org/~melvik/puppyrus/ftp/puppyrus/puppyrus-a/pra03/pkg/pra03-extra/mpv-light-0.10.0-1-i686.pkg.tar.xz
http://www.puppyrus.org/~melvik/puppyrus/ftp/puppyrus/puppyrus-a/pra03/pkg/pra03-extra/mpv-1_0.10.0-1-i686.pkg.tar.xz

Оффлайн paulus

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 1733
  • Репутация: +24/-0
Re:Медиаплееры
« Ответ #183 : 08 Октябрь 2015, 19:09:35 »
Вот свежий mpv.  Под внешний ffmpeg. Вроде там у меня lua-gui не получился - поэтому модуль делать не стал
Пробовал сделать пакет свежего mpv-0.11, но там столько либ надо что я устал... lua-gui - это который постоянно выскакивает с описанием быстрых клавишь? Жуть как не люблю прибивать это окно. Нам этого не надо ;) Сейчас использую Mpv-build-git-p-20141216.50e39eb без подключения внешнего ffmpeg, просто хотел бы обновить mpv-0.11, если можно.

Если я правильно понял новость - mplayer теперь не собрать с внешними ffmpeg либами.
"В новой версии обеспечена совместимость со свежей версией мультимедиа-пакета FFmpeg 2.8. Копия нового FFmpeg включена в базовую поставку MPlayer, что позволяет обойтись без доустановки зависимостей при сборке. Из-за грядущего изменения API текущая master-ветка и будущие выпуски FFmpeg в MPlayer 1.2 поддерживаться не будут, для работы с ними необходимо использовать HEAD-ветку MPlayer из SVN-репозитория проекта. "

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 32840
  • Репутация: +222/-0
  • Автор темы
    • PuppyRus-A
Re:Медиаплееры
« Ответ #184 : 12 Октябрь 2015, 10:40:22 »
http://www.puppyrus.org/~melvik/puppyrus/ftp/puppyrus/puppyrus-a/pra03/pfs/mpv-light-p-0.11.0.pfs c внешним ffmpeg28
Еще раз задумался - а нужен ли mpv?
vlc функциональнее (мой опыт - dvd караоке с меню осилил только vlc). Удобный интерфейс
Если надо мало - mplayer из middle  c gnome(mate)-mplayer в качестве gui - он хотя бы маленький (можно copy2ram). Мне не попадались медиа-файлы, которые бы он не открывал
mpv - где-то посередине. Нормальный gui - только smplayer (но он тоже qt)
Надо ли это среднее? пусть хотя бы gui нормальный появится без qt и т.п. ...

Может лучше смотреть в сторону http://pkgs.slitaz.org/search.sh?package=mplayer
« Последнее редактирование: 12 Октябрь 2015, 10:58:55 от sfs »

Оффлайн imago31

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 2835
  • Репутация: +41/-0
  • горний арол
Re:Медиаплееры
« Ответ #185 : 12 Октябрь 2015, 20:58:56 »
я думаю что vlc и gnome player вполне достаточно
Врач спасает человека, ветеринар - человечество
 все эксперименты на dual core 2x3.1 GHz/ram-3Gb/gt 440 1gb/WCD 80gb IDE/Samsung 80gb sata/3 флешки с зоопарком линуксов.
  Для работы и игр: Windows 10 снес, поставил 7
  Для души, для скорости и всего остального: Linux(pra, puppy, porteus, ubuntu-подобные)
 
 игровые модули
 программные модули

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 32840
  • Репутация: +222/-0
  • Автор темы
    • PuppyRus-A
Re:Медиаплееры
« Ответ #186 : 13 Октябрь 2015, 14:08:53 »
Скомпилил http://www.puppyrus.org/~melvik/puppyrus/ftp/puppyrus/puppyrus-a/pra03/pfs/mplayer-int-p-37544.pfs
это mplayer1.2 с вкомпиленными(int) либами ffmpeg2.8
gmplayer, c внешним (ext) ffmpeg и статику собрать не удалось
Получается под внешний ffmpeg2.8 есть только mpv
« Последнее редактирование: 09 Февраль 2016, 10:13:25 от sfs »

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 32840
  • Репутация: +222/-0
  • Автор темы
    • PuppyRus-A
Re:Медиаплееры
« Ответ #187 : 10 Февраль 2016, 14:26:15 »
Надо навести в репе порядок с ffmpeg и м.плеерами
Предлагаю:
ffmpeg: оставить 2 - полный из арчрепы (в pra-game) и маленький из pra-middle
M.плееры: оставить только с внешним ffmpeg и только с vdpau (он не мешает там где не поддерживается, размер не увеличивает)
Если возражений нет - прошу авторов перенести прочие модули в pfs-old

..я свои перенес

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 32840
  • Репутация: +222/-0
  • Автор темы
    • PuppyRus-A
Re: Медиаплееры
« Ответ #188 : 14 Март 2016, 12:01:09 »
Сделал модули из свежего среза арч-репы
http://mirror.yandex.ru/puppyrus/puppyrus-a/pra03/pfs/ffmpeg-p-2.8.6-sf02.pfs (планирую в  pra-game)
http://mirror.yandex.ru/puppyrus/puppyrus-a/pra03/pfs/ffmpeg_DEV-2.8-sf01.pfs - не портированный со всеми зависимостями и dev - для компиляции
http://mirror.yandex.ru/puppyrus/puppyrus-a/pra03/pfs/vlc-p-2.2.2-sf02.pfs (планирую в  pra-game). vdpau + va аппаратное ускорение, npapi-vlc - плагин для ffox и клонов (поддерживается в kinopoisk.ru, настраивается там же где и flash)

http://mirror.yandex.ru/puppyrus/puppyrus-a/pra03/pfs/ffmpeg-p-3.0-sf01.pfs
http://mirror.yandex.ru/puppyrus/puppyrus-a/pra03/pfs/mpv-ext-p-0.16.0-s11.pfs (с вагоном зависимостей - для сравнения с нашим урезанным)
Скомпилил http://mirror.yandex.ru/puppyrus/puppyrus-a/pra03/pfs-test/vlc-git-p-3.0.0-sf01.pfs - vdpau не работает. Видимо поэтому в арч и пр. репеах - vlc2.2 на ffmpeg28

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 32840
  • Репутация: +222/-0
  • Автор темы
    • PuppyRus-A
Re: Медиаплееры
« Ответ #189 : 30 Март 2016, 09:59:26 »
Обновился pMusic 5.0.0
Кто юзает и возьмется обновить в ПРА?

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10725
  • Репутация: +113/-2
Re: Медиаплееры
« Ответ #190 : 08 Апрель 2016, 07:38:54 »
Перевел Pmusic, замечено что пишет об ошибке в файле func строка 125
При первом запуске сканирует все каталоги О_О чего ищет то?
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн arcad

  • Старожил
  • ****
  • Сообщений: 376
  • Репутация: +12/-0
Re: Медиаплееры
« Ответ #191 : 08 Ноябрь 2016, 20:34:19 »
http://mirror.yandex.ru/puppyrus/puppyrus-a/pra03/pfs/vlc-p-2.2.2-sf02.pfs (планирую в  pra-game). vdpau + va аппаратное ускорение, npapi-vlc - плагин для ffox и клонов (поддерживается в kinopoisk.ru, настраивается там же где и flash)
подключаю vlc-p-2.2.2-sf02.pfs + lib32-qt4-lib-pra6407_64-sf02.pfs +ffmpeg-p-2.8.6_64-sf01.pfs +lib32-base-pra6407-sf02.pfs и vlc грузит  проц на 50% потом на все 100% и только перезагрузка ноута помогает.
Че за ерунда, пробовал несколько раз с перекачкой модулей.
у меня PRA64-ligth  ядро 4.7.0-pf1 :(

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 32840
  • Репутация: +222/-0
  • Автор темы
    • PuppyRus-A
Re: Медиаплееры
« Ответ #192 : 09 Ноябрь 2016, 09:33:30 »
В чем прикол запускать 32 бит vlc под pra64? Чем не устроил vlc64?

Оффлайн arcad

  • Старожил
  • ****
  • Сообщений: 376
  • Репутация: +12/-0
Re: Медиаплееры
« Ответ #193 : 10 Ноябрь 2016, 00:41:28 »
vlc-p-2.2.2_64-sf01.pfs - да именно про этот модуль я говорил, просто по ошибке скопировал с ссылки.
При подключении модуля запускается vlc и грузит проц на 50% и ничего не происходит. Запускаю еще раз и второй процесс еще 50% полностью останавливает всю работу . Только перезагрузка Х11 сервера и или полная перезагрузка. На пра32 работает vlc нормально.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 32840
  • Репутация: +222/-0
  • Автор темы
    • PuppyRus-A
Re: Медиаплееры
« Ответ #194 : 10 Ноябрь 2016, 09:17:06 »
pra6410fat